Subject: Re: [PATCH][GSOC] Selection of the verbose message is replaced with generated message in install_branch_config()

From: Michael Haggerty <[email-masked]>
Date: Fri, 21 Mar 2014 22:45:57 +0100

On 03/21/2014 10:33 PM, Eric Sunshine wrote:
> On Fri, Mar 21, 2014 at 5:13 PM, Michael Haggerty <[email-masked]> wrote:
>> On 03/21/2014 06:09 PM, Junio C Hamano wrote:
>>> Assert() often becomes no-op in production build.  I think this may
>>> be an indication that "table-driven" may not be as good an approach
>>> as many candidates thought.  The microproject suggestion asks them
>>> to think _if_ that makes sense, and it is perfectly fine for them if
>>> they answer "no, it introduces more problems than it solves".
>>
>> My expectation when I invented that microproject was that converting the
>> code to be table-driven would be judged *not* to be an improvement.  I
>> was hoping that a student would say "the 'if' statement is OK, but let's
>> delete this ridiculous unreachable else branch".  Possibly they would
>> convert the "if" chain into nested "if"s, which I think would allow some
>> code consolidation in one of the branches.
>>
>> But not a single student agreed with me, so I must be in a minority of
>> one (which, unfortunately, is the definition of lunacy).
> 
> Adam NoLastName did stick with the 'if' statements and removed the
> unreachable branch  [1], although he didn't say if he had considered
> the table-driven approach and discarded it.
> 
> [1]: http://thread.gmane.org/gmane.comp.version-control.git/243704

Thanks for correcting my oversight.

So...there's still hope for my sanity after all :-)  Adam must have
tasted from the tree of wisdom :-)

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/